//Developed by Marcelo de Souza

function xmnt_iterateX(elems){
 var len = elems.length;
    for (var i = 0; i < len; i++) {
        if (window.getComputedStyle(elems[i], null).getPropertyValue('position') == 'fixed') {
            xmnt_undisplay(elems[i]);
        }
    }
}
function xmnt_undisplay(elem){
            elem.style.setProperty("position",'relative','important');
            elem.style.setProperty("top",'0px','important');
            elem.style.setProperty("height",'0px','important');
            elem.style.setProperty("visibility",'hidden','important');
            elem.style.setProperty("display",'none','important');
}
function xmnt_clear_flyouts() {
    var elems = document.getElementsByTagName('*');
    xmnt_iterateX(elems);
    //setTimeout(xmnt_clear_flyouts, 3000);
    // Select the node that will be observed for mutations
    if(document.body.xmnt_observeXnodes){
        return;
    }

    var link = document.createElement("style");
            link.setAttribute("type", "text/css");
            link.setAttribute("id", "xcar_flyout");
            link.innerHTML += " div:empty, td:empty, span:empty { display: none !important;}";
            //link.innerHTML += " span, h1, h2, h3, h4, h5, h6, pre, li, p, a, a:link  { border-color: transparent !important; }";
            document.body.appendChild(link);

    var targetNode = document.body;

    // Options for the observer (which mutations to observe)
    var config = { attributes: true, attributeFilter : ['style'], childList: true, subtree: true };

    // Callback function to execute when mutations are observed
    var callback = function(mutationsList) {
        for(var mutation of mutationsList) {
            if (mutation.type == 'childList') {
                //console.log('A child node has been added or removed.');
                xmnt_iterateX(mutation.addedNodes);
            }
            else if (mutation.type == 'attributes') {
                //console.log('The ' + mutation.attributeName + ' attribute was modified.');
                if(window.getComputedStyle(mutation.target, null).getPropertyValue('position') == 'fixed') {
                                 xmnt_undisplay(mutation.target)
                }
            }
        }
    };

    // Create an observer instance linked to the callback function
    var observer = new MutationObserver(callback);

    // Start observing the target node for configured mutations
    observer.observe(targetNode, config);
    document.body.xmnt_observeXnodes = observer;
    // Later, you can stop observing
    //observer.disconnect();
}
function xmnt_start_timedOut(){
    setTimeout(xmnt_clear_flyouts, 500);
}
xmnt_start_timedOut();